#ifndef PARTICLE_H
#define PARTICLE_H

#include "vector2.h"

class Particle {
public:
	Particle();
	void init(Vector2 pos, Vector2 speed, int life);

	void logic();
	bool isActive() { return active; };
	void kill() { active = false; };
	void draw();

private:
	bool active;
	Vector2 pos;
	Vector2 speed;
	int life;
	int maxLife;
};

#endif // PARTICLE_H
